# SignatureTypeProvider

interface SignatureTypeProvider

Provider of SignatureType.

#### Inheritors

AbstractSignatureTypeProvider

## Functions

getDefaultType
Link copied to clipboard
abstract fun getDefaultType(): SignatureType
getTypeForExtension
Link copied to clipboard
abstract fun getTypeForExtension(extension: String): SignatureType
hasTypeForExtension
Link copied to clipboard
abstract fun hasTypeForExtension(extension: String): Boolean
setDefaultType
Link copied to clipboard
abstract fun setDefaultType(extension: String)